Skip to content

Return searchable feature previews for one local geoBoundaries gbOpen dataset.

GET
/api/workspace/admin/geo-boundary-catalog/datasets/{datasetKey}/features
curl --request GET \
--url 'https://example.com/api/workspace/admin/geo-boundary-catalog/datasets/example/features?skip=0&take=100' \
--header 'Authorization: Bearer <token>'
datasetKey
required
string
zoneSetId
string
search
string
skip
integer format: int32
0
take
integer format: int32
default: 100
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Paged feature preview for one local administrative-boundary dataset.

object
Dataset

Local administrative-boundary dataset discovered from the configured boundary catalog.

object
DatasetKey
string
nullable
Provider
integer format: int32
Allowed values: 0 1 2 3 4 99
ReleaseType
string
nullable
Iso3
string
nullable
AdmLevel
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
BoundaryId
string
nullable
BoundaryName
string
nullable
BoundaryYearRepresented
integer format: int32
nullable
FeatureCount
integer format: int32
nullable
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
LicenseDetail
string
nullable
LicenseSource
string
nullable
SourceDataUpdateDate
string
nullable
BuildDate
string
nullable
Features
Array<object>
nullable

Searchable feature preview from a local administrative-boundary dataset.

object
FeatureId
string
nullable
Name
string
nullable
ShapeIso
string
nullable
ShapeGroup
string
nullable
ShapeType
string
nullable
GeometryType
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
Bounds

Bounding box for a WGS84 geometry.

object
MinLatitude
number format: double
MinLongitude
number format: double
MaxLatitude
number format: double
MaxLongitude
number format: double
Centroid

Latitude and longitude pair in WGS84 decimal degrees.

object
Latitude
number format: double
Longitude
number format: double
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
Attribution
string
nullable
ImportedBeforeCount
integer format: int32
TotalCount
integer format: int32
Skip
integer format: int32
Take
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dataset": {
"Provider": 0,
"AdministrativeBoundaryType": 0
},
"Features": [
{
"AdministrativeBoundaryType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Paged feature preview for one local administrative-boundary dataset.

object
Dataset

Local administrative-boundary dataset discovered from the configured boundary catalog.

object
DatasetKey
string
nullable
Provider
integer format: int32
Allowed values: 0 1 2 3 4 99
ReleaseType
string
nullable
Iso3
string
nullable
AdmLevel
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
BoundaryId
string
nullable
BoundaryName
string
nullable
BoundaryYearRepresented
integer format: int32
nullable
FeatureCount
integer format: int32
nullable
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
LicenseDetail
string
nullable
LicenseSource
string
nullable
SourceDataUpdateDate
string
nullable
BuildDate
string
nullable
Features
Array<object>
nullable

Searchable feature preview from a local administrative-boundary dataset.

object
FeatureId
string
nullable
Name
string
nullable
ShapeIso
string
nullable
ShapeGroup
string
nullable
ShapeType
string
nullable
GeometryType
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
Bounds

Bounding box for a WGS84 geometry.

object
MinLatitude
number format: double
MinLongitude
number format: double
MaxLatitude
number format: double
MaxLongitude
number format: double
Centroid

Latitude and longitude pair in WGS84 decimal degrees.

object
Latitude
number format: double
Longitude
number format: double
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
Attribution
string
nullable
ImportedBeforeCount
integer format: int32
TotalCount
integer format: int32
Skip
integer format: int32
Take
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dataset": {
"Provider": 0,
"AdministrativeBoundaryType": 0
},
"Features": [
{
"AdministrativeBoundaryType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Paged feature preview for one local administrative-boundary dataset.

object
Dataset

Local administrative-boundary dataset discovered from the configured boundary catalog.

object
DatasetKey
string
nullable
Provider
integer format: int32
Allowed values: 0 1 2 3 4 99
ReleaseType
string
nullable
Iso3
string
nullable
AdmLevel
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
BoundaryId
string
nullable
BoundaryName
string
nullable
BoundaryYearRepresented
integer format: int32
nullable
FeatureCount
integer format: int32
nullable
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
LicenseDetail
string
nullable
LicenseSource
string
nullable
SourceDataUpdateDate
string
nullable
BuildDate
string
nullable
Features
Array<object>
nullable

Searchable feature preview from a local administrative-boundary dataset.

object
FeatureId
string
nullable
Name
string
nullable
ShapeIso
string
nullable
ShapeGroup
string
nullable
ShapeType
string
nullable
GeometryType
string
nullable
AdministrativeBoundaryType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 99
Bounds

Bounding box for a WGS84 geometry.

object
MinLatitude
number format: double
MinLongitude
number format: double
MaxLatitude
number format: double
MaxLongitude
number format: double
Centroid

Latitude and longitude pair in WGS84 decimal degrees.

object
Latitude
number format: double
Longitude
number format: double
Source
string
nullable
SourceUrl
string
nullable
License
string
nullable
Attribution
string
nullable
ImportedBeforeCount
integer format: int32
TotalCount
integer format: int32
Skip
integer format: int32
Take
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dataset": {
"Provider": 0,
"AdministrativeBoundaryType": 0
},
"Features": [
{
"AdministrativeBoundaryType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}